#include "Util.hpp"

// ESP32 specific
// #include "esp_log.h"

// C++ system level
#include <string>
#include <vector>
#include <sstream>
// #include <cinttypes>

// project specific
// #include "MyHeader.hpp"



namespace SpiderLib {

  namespace Util {

    // Taken from:  https://stackoverflow.com/a/27511119
    // modified by fxk8y
    std::vector<std::string> split(const std::string& s, char delim) {

      std::string item;
      std::stringstream ss(s);
      std::vector<std::string> out;

      while (std::getline(ss, item, delim)) {
        out.push_back(item);
        // out.push_back(std::move(item)); // if C++11 (based on comment from @mchiasson)
      }

      // mod by fxk8y: fix missing last item if string ends with delim
      if (s.back() == delim) out.push_back("");

      return out;
    }

  }
}
